# Interface methods for submodule: NoiseBaseImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: NoiseBaseImageFilter
class NoiseBaseImageFilterProxy(_InPlaceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetSeed(self) -> int:
		""""""
		...

	@overload
	def SetSeed(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetSeed(self) -> None:
		""""""
		...

